/*    
     Mairesse-Hall (93) Industry Sectors and Labels.  
     These are based on the classification in Table A-1
     of Griliches and Mairesse, EER(1983).
     This version breaks out Computers, Electronics, & Instruments.                                      
                                    
replace sic2d=283 if sic>3839 & sic<3845 
*/
gen hmsect = 1 if sic2d==26 | sic2d==27
replace hmsect = 2 if sic2d==28 & (sic<2830 | (sic>2859 & sic<2890))
replace hmsect = 3 if sic2d==30 
replace hmsect = 4 if sic2d==32 | sic2d==21 | sic2d==24 | sic2d==25 | sic2d==39
replace hmsect = 5 if sic2d==33 
replace hmsect = 6 if sic2d==34
replace hmsect = 7 if sic2d==35 
replace hmsect = 8 if sic2d==36 & (sic<3650 | sic>3679)
replace hmsect = 9 if sic2d==37 & (sic<3720 | (sic>3739 & sic<3760) | sic>3769)
replace hmsect = 10 if sic2d==37 & hmsect~=9
replace hmsect = 11 if sic2d==22 | sic2d==23 | sic2d==31
replace hmsect = 12 if (sic>2829 & sic<2860) | (sic>2889 & sic<2900)
replace hmsect = 13 if sic2d==20 
replace hmsect = 14 if sic2d==357 | sic2d==38 | (sic>3649&sic<3680)
replace hmsect = 15 if sic2d==29
replace hmsect = 16 if sic<2000 | sic>3999

lab def hmlabel 1 "Paper&Pr" 2 "Chemicals" 3 "Rubber" 4 "Wood&Misc"
lab def hmlabel 5 "Primetal" 6 "Fabmetal" 7 "Machinery",modify
lab def hmlabel 8 "ElecMach" 9 "Autos" 10 "Air&boat",modify
lab def hmlabel 11 "Text&Leather" 12 "Drugs" 13 "Food",modify
lab def hmlabel 14 "Comp&Inst" 15 "Oil" 16 "Non-mfg",modify
lab values hmsect hmlabel

gen hitech = hmsect==2 | hmsect==8 | hmsect==10 | hmsect==12 | hmsect==14 
label var hitech "Chem,Elec,Air,Drugs"
